> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the Linear connection

> Read the project’s Linear connection and default team.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/integrations/linear
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/integrations/linear:
    get:
      tags:
        - Integrations / Linear
      summary: Read the Linear connection
      description: Read the project’s Linear connection and default team.
      operationId: get_project_linear_connection
      parameters:
        - name: project_id
          in: path
          required: true
          description: Lemma project ID.
          schema:
            type: string
      responses:
        '200':
          description: Linear connection and defaults
          content:
            application/json:
              schema:
                type: object
                properties:
                  available:
                    type: boolean
                  connection:
                    type:
                      - object
                      - 'null'
                    properties:
                      status:
                        type: string
                        enum:
                          - connected
                          - authentication_required
                          - temporarily_failing
                          - disconnected
                      workspace_id:
                        type: string
                      workspace_name:
                        type: string
                      workspace_url_key:
                        type:
                          - string
                          - 'null'
                      connected_at:
                        type: string
                        format: date-time
                      disconnected_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      last_successful_sync_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                      last_error_code:
                        type:
                          - string
                          - 'null'
                      last_error_message:
                        type:
                          - string
                          - 'null'
                      last_error_at:
                        type:
                          - string
                          - 'null'
                        format: date-time
                    required:
                      - status
                      - workspace_id
                      - workspace_name
                      - workspace_url_key
                      - connected_at
                      - disconnected_at
                      - last_successful_sync_at
                      - last_error_code
                      - last_error_message
                      - last_error_at
                    additionalProperties: false
                  defaults:
                    type:
                      - object
                      - 'null'
                    properties:
                      team_id:
                        type: string
                      team_name:
                        type: string
                      team_key:
                        type: string
                      linear_project_id:
                        type:
                          - string
                          - 'null'
                      linear_project_name:
                        type:
                          - string
                          - 'null'
                      updated_at:
                        type: string
                        format: date-time
                    required:
                      - team_id
                      - team_name
                      - team_key
                      - linear_project_id
                      - linear_project_name
                      - updated_at
                    additionalProperties: false
                required:
                  - available
                  - connection
                  - defaults
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.